<?php
use Incoviba\Controller\API\Ventas\Promotions;

$app->group('/promotions', function($app) {
    $app->post('/add[/]', [Promotions::class, 'add']);
    $app->post('/edit[/]', [Promotions::class, 'edit']);
});
$app->group('/promotion/{promotion_id}', function($app) {
    $app->delete('/remove[/]', [Promotions::class, 'remove']);
    $app->group('/connections', function($app) {
        $app->post('/add[/]', [Promotions::class, 'addConnections']);
        $app->group('/project/{project_id}', function($app) {
            $app->delete('[/]', [Promotions::class, 'removeProject']);
            $app->group('/unit-type/{unit_type_id}', function($app) {
                $app->delete('[/]', [Promotions::class, 'removeUnitType']);
            });
        });
        $app->group('/broker/{broker_rut}', function($app) {
            $app->delete('[/]', [Promotions::class, 'removeBroker']);
        });
        $app->group('/unit-line/{unit_line_id}', function($app) {
            $app->delete('[/]', [Promotions::class, 'removeUnitLine']);
        });
        $app->group('/unit/{unit_id}', function($app) {
            $app->delete('[/]', [Promotions::class, 'removeUnit']);
        });
    });
});
